import hasRole from './permission/hasRole'
import hasPermi from './permission/hasPermi'
import copy from './common/copy'

export default function directive(app){
  app.directive('hasRole', hasRole)
  app.directive('hasPermi', hasPermi)
  app.directive('copy', copy)
}